Module tdlight.api
Package it.tdlight.jni

# Class TdApi.FoundWebApp

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.FoundWebApp

Enclosing class:
  TdApi

public static final class TdApi.FoundWebApp extends TdApi.Object
Contains information about a Web App found by its short name.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`requestWriteAccess`
True, if the user must be asked for the permission to the bot to send them messages.
`boolean`
`skipConfirmation`
True, if there is no need to show an ordinary open URL confirmation before opening the Web App.
`TdApi.WebApp`
`webApp`
The Web App.

## Constructor Summary

Constructors
Constructor
Description
`FoundWebApp()`
Contains information about a Web App found by its short name.
`FoundWebApp(TdApi.WebApp webApp, boolean requestWriteAccess, boolean skipConfirmation)`
Contains information about a Web App found by its short name.
`FoundWebApp(DataInput input)`
Contains information about a Web App found by its short name.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### webApp

public TdApi.WebApp webApp
The Web App.

### requestWriteAccess

public boolean requestWriteAccess
True, if the user must be asked for the permission to the bot to send them messages.

### skipConfirmation

public boolean skipConfirmation
True, if there is no need to show an ordinary open URL confirmation before opening the Web App. The field must be ignored and confirmation must be shown anyway if the Web App link was hidden.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### FoundWebApp

public FoundWebApp()
Contains information about a Web App found by its short name.

### FoundWebApp

public FoundWebApp(TdApi.WebApp webApp, boolean requestWriteAccess, boolean skipConfirmation)
Contains information about a Web App found by its short name.

Parameters:
  `webApp` - The Web App.
  `requestWriteAccess` - True, if the user must be asked for the permission to the bot to send them messages.
  `skipConfirmation` - True, if there is no need to show an ordinary open URL confirmation before opening the Web App. The field must be ignored and confirmation must be shown anyway if the Web App link was hidden.

### FoundWebApp

public FoundWebApp(DataInput input) throws IOException
Contains information about a Web App found by its short name.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`